Subject: Re: [Suit] Introducing draft-moran-suit-manifest-04

From: David Brown <[email-masked]>
Date: Thu, 2 May 2019 15:50:33 -0600

On Thu, Apr 11, 2019 at 01:17:35PM -0400, Michael Richardson wrote:

>Very nice animation.
>It really seems like the swap operation does by MCUboot ought to be below the
>level of the manifest instructions.
>
>    > One difficulty I see following steps in the manifest is that the code
>    > currently maintains state out-of-band from the manifest.  The current
>    > state is:
>
>That suggests to me that maybe we need to make the state explicit in the
>information model associated with the manifest.

Although, I think if the swap operation itself is "below" the scope of
the manifest, perhaps the state it keeps is also below that.

David